<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Modules\Cheque\Http\Controllers\ChequeController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::get('/cheques',[ChequeController::class,'chequesList']);
Route::get('/cheque/{id}',[ChequeController::class,'showCheque']);
Route::post('/add/cheque',[ChequeController::class,'addCheque']);
Route::put('/change-status/{id}/cheque',[ChequeController::class,'changeStatusCheque']);
Route::delete('/delete/{id}/cheque',[ChequeController::class,'deleteCheque']);